🔧

[Flutter] パッケージをインポートしようとすると`Target of URI doesn't exist`エラーが出るときの対処法

2022/12/10に公開約400字

現象

Android StudioでFlutterパッケージをインストールしたあと、そのパッケージで提供されるウィジェットを使うためにファイルでパッケージのimportを記述すると、Target of URI doesn't exist: 'package:<パッケージ名>'.のエラーが出ることがある。

解決法

Dart Analysis > 赤いリフレッシュのアイコン(Restart Dart Analysis Server)をクリックする。

Reference

https://stackoverflow.com/questions/64574620/target-of-uri-doesnt-exist-packageflutter-gen-gen-l10n-gallery-localizations

Discussion

ログインするとコメントできます